OGRE: Ogre::CompositorChain::RQListener Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::CompositorChain::RQListener Class Reference

Render queue listener used to set up rendering events. More...

`#include <OgreCompositorChain.h>`

Inheritance diagram for Ogre::CompositorChain::RQListener:

[legend]
List of all members.

## Public Member Functions

virtual void | renderQueueStarted (uint8 id, const String &invocation, bool &skipThisQueue)

Remarks:
  This method is called by the SceneManager before each queue group is rendered.

Parameters:

  | queueGroupId | The id of the queue group which is about to be rendered
  | invocation | Name of the invocation which is causing this to be called (

See also:
  RenderQueueInvocation)

Parameters:

  | skipThisInvocation | A boolean passed by reference which is by default set to false. If the event sets this to true, the queue will be skipped and not rendered. Note that in this case the renderQueueEnded event will not be raised for this queue group.

virtual void | renderQueueEnded (uint8 id, const String &invocation, bool &repeatThisQueue)

Remarks:
  This method is called by the SceneManager after each queue group is rendered.

Parameters:

  | queueGroupId | The id of the queue group which has just been rendered
  | invocation | Name of the invocation which is causing this to be called (

See also:
  RenderQueueInvocation)

Parameters:

  | repeatThisInvocation | A boolean passed by reference which is by default set to false. If the event sets this to true, the queue which has just been rendered will be repeated, and the renderQueueStarted and renderQueueEnded events will also be fired for it again.

void | setOperation (CompositorInstance::TargetOperation *op, SceneManager *sm, RenderSystem *rs)
| Set current operation and target.
void | notifyViewport (Viewport *vp)
| Notify current destination viewport.
void | flushUpTo (uint8 id)
| Flush remaining render system operations.

## Private Attributes

CompositorInstance::TargetOperation * | mOperation
SceneManager * | mSceneManager
RenderSystem * | mRenderSystem
Viewport * | mViewport
CompositorInstance::RenderSystemOpPairs::iterator | currentOp
CompositorInstance::RenderSystemOpPairs::iterator | lastOp

## Detailed Description

Render queue listener used to set up rendering events.

Definition at line 172 of file OgreCompositorChain.h.

## Member Function Documentation

void Ogre::CompositorChain::RQListener::flushUpTo | ( | uint8 | id | ) |

| Flush remaining render system operations.

void Ogre::CompositorChain::RQListener::notifyViewport | ( | Viewport * | vp | ) |

| Notify current destination viewport. Definition at line 186 of file OgreCompositorChain.h.

virtual void Ogre::CompositorChain::RQListener::renderQueueEnded | ( | uint8 | id,
|  | const String & | invocation,
|  | bool & | repeatThisQueue
| ) | `[virtual]`

Remarks:
  This method is called by the SceneManager after each queue group is rendered.

Parameters:

  | queueGroupId | The id of the queue group which has just been rendered
  | invocation | Name of the invocation which is causing this to be called (

See also:
  RenderQueueInvocation)

Parameters:

  | repeatThisInvocation | A boolean passed by reference which is by default set to false. If the event sets this to true, the queue which has just been rendered will be repeated, and the renderQueueStarted and renderQueueEnded events will also be fired for it again.

Implements Ogre::RenderQueueListener.

virtual void Ogre::CompositorChain::RQListener::renderQueueStarted | ( | uint8 | id,
|  | const String & | invocation,
|  | bool & | skipThisQueue
| ) | `[virtual]`

Remarks:
  This method is called by the SceneManager before each queue group is rendered.

Parameters:

  | queueGroupId | The id of the queue group which is about to be rendered
  | invocation | Name of the invocation which is causing this to be called (

See also:
  RenderQueueInvocation)

Parameters:

  | skipThisInvocation | A boolean passed by reference which is by default set to false. If the event sets this to true, the queue will be skipped and not rendered. Note that in this case the renderQueueEnded event will not be raised for this queue group.

Implements Ogre::RenderQueueListener.

void Ogre::CompositorChain::RQListener::setOperation | ( | CompositorInstance::TargetOperation * | op,
|  | SceneManager * | sm,
|  | RenderSystem * | rs
| ) |

| Set current operation and target.

## Member Data Documentation

CompositorInstance::RenderSystemOpPairs::iterator Ogre::CompositorChain::RQListener::currentOp`[private]`

| Definition at line 195 of file OgreCompositorChain.h.

CompositorInstance::RenderSystemOpPairs::iterator Ogre::CompositorChain::RQListener::lastOp`[private]`

| Definition at line 195 of file OgreCompositorChain.h.

CompositorInstance::TargetOperation* Ogre::CompositorChain::RQListener::mOperation`[private]`

| Definition at line 191 of file OgreCompositorChain.h.

RenderSystem* Ogre::CompositorChain::RQListener::mRenderSystem`[private]`

| Definition at line 193 of file OgreCompositorChain.h.

SceneManager* Ogre::CompositorChain::RQListener::mSceneManager`[private]`

| Definition at line 192 of file OgreCompositorChain.h.

Viewport* Ogre::CompositorChain::RQListener::mViewport`[private]`

| Definition at line 194 of file OgreCompositorChain.h.

The documentation for this class was generated from the following file:

- OgreCompositorChain.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:37 2008